Subject: Re: feature request: git svn dommit --preserve-timestamps

From: Peter Münster <[email-masked]>
Date: Wed, 08 Jun 2016 20:31:12 +0200

On Mon, Jun 06 2016, Peter Münster wrote:

> It would be nice, if timestamps could be preserved when rewriting the
> git-log.
>
> Use case: I often make a dcommit after several days of development
> (20 or 30 commits), because
> - the users of the svn-server don't need it more often;
> - and for the dcommit I need a VPN-connection to a server, that is not
>   always available.
>
> Today, after a dcommit, it's no more possible to match a special commit
> by time and date (for example the time of some email exchange).
>
> TIA for your attention and perhaps the implementation of such a feature.

Hi,

Or could someone please show me, where the timestamp is rewritten in the
code, so that I could change it and compile a local copy of git, that
fits my needs? Perhaps I could even create a patch, that implements
"--preserve-timestamps" and send it back.

I've already searched in git-svn.perl but without success... :(

TIA for any hints,
-- 
           Peter